#include <iostream>
using namespace std;
int a, b, L, valid;
int main() {
    cin>>a>>b>>L;
    for(int k=a+b; k<=L; k++){
        bool isValid=false;
        for(int x=1; x<L; x++){
            int ost=k-a*x;
            if(ost%b==0 && ost/b>0){
                isValid=true;
            }
        }
        if(isValid){
            valid++;
        }
    }
    cout<<L-valid<<'\n';
    return 0;
}
